#ifndef WINZENT_ALGORITHM_CONFIG_H_
#define WINZENT_ALGORITHM_CONFIG_H_


#include <vector>
#include <ostream>


#define WINZENT_ALGORITHM_VERSION "0.8.1"


namespace wzalgorithm {
    typedef std::vector<double> vector_t;
}


namespace std {
    inline ostream& operator <<(
            ostream& os,
            wzalgorithm::vector_t const& vec)
    {
        os << "(";

        for (size_t i = 0; i != vec.size(); ++i) {
            os << vec.at(i);
            os << (i+1 < vec.size() ? ", " : "");
        }

        os << ")";
        return os;
    }
} // namespace std


#endif // WINZENT_ALGORITHM_CONFIG_H_
